cache:
  paths:
    - node_modules/

stages:
  - init
  - deploy_qa

init:
  stage: init
  image: node:12.16.1
  script:
    - npm install

deploy_qa:
  image: node:12.16.1
  stage: deploy_qa
  script:
    - git push https://$HEROKU_USER:$HEROKU_API_KEY@git.heroku.com/julia-qa.git HEAD:master
    - echo "Deployed to qa server"
  environment:  
    name: qa
    url: https://julia-qa.herokuapp.com/
  only:
    - master